apiVersion: v2
name: dataone-indexer
description: |
  Helm chart for Kubernetes Deployment of the dataone-indexer 
  (https://github.com/DataONEorg/dataone-indexer)

# OCI Annotations - see https://github.com/helm/helm/pull/11204
sources:
  - https://github.com/dataoneorg/dataone-indexer

# A chart can be either an 'application' or a 'library' chart.
#
# Application charts are a collection of templates that can be packaged into versioned archives
# to be deployed.
#
# Library charts provide useful utilities or functions for the chart developer. They're included as
# a dependency of application charts to inject those utilities and functions into the rendering
# pipeline. Library charts do not define any templates and therefore cannot be deployed.
type: application

# This is the chart version. This version number should be incremented each time you make changes
# to the chart and its templates, including the app version.
# Versions are expected to follow Semantic Versioning (https://semver.org/)
version: 1.0.1-develop

# This is the version number of the application being deployed. This version number should be
# incremented each time you make changes to the application. Versions are not expected to
# follow Semantic Versioning. They should reflect the version the application is using.
# It is recommended to use it with quotes.
appVersion: "3.0.1-SNAPSHOT"

# Chart dependencies
dependencies:
  - name: rabbitmq
    repository: https://charts.bitnami.com/bitnami
    version: 10.1.14    # rabbitmq version 3.10.5 is deployed by chart version 10.1.14
    condition: rabbitmq.enabled, global.rabbitmq.enabled
  - name: solr
    repository: https://charts.bitnami.com/bitnami
    version: 6.2.3      # solr version 9.0.0 is deployed by chart version 6.2.3
    condition: solr.enabled, global.solr.enabled
